ContactGroups
Get a contact group
Returns a single contact group by its ID. Use this endpoint to get a contact group through the Samva email API.
Returns a single contact group by its ID.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^cgrp_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/contact-groups/string"{ "id": "string", "organizationId": "string", "name": "string", "description": "string", "type": "static", "criteria": {}, "color": "string", "icon": "string", "parentGroupId": "string", "contactCount": 0, "lastCalculatedAt": "string", "isActive": true, "createdAt": "string", "updatedAt": "string"}Evaluate a dynamic contact group
Recomputes a dynamic contact group's membership from its criteria, returning counts of added, removed, and total members.
List members of a contact group
Returns a paginated list of contacts belonging to a contact group. Use this endpoint to list members of a contact group through the Samva email API.